petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSetApplicationContext

Set a user context into a DM object

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMSetApplicationContext(DM dm,void *ctx)

Not Collective

### Input Parameters

| dm | - the DM object
| ctx | - the user context

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex50.c.html
src/ksp/ksp/examples/tutorials/ex66.c.html
src/ksp/ksp/examples/tutorials/ex73.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex20.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages